# CLI_CONFIG_TYPE | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLI_CONFIG_TYPE

## Index

### Properties

- bitcoindPassword
- bitcoindUsername
- blockstackAPIUrl
- blockstackNodeUrl
- broadcastServiceUrl
- logConfig
- utxoServiceUrl

## Properties

### Optional bitcoindPassword

bitcoindPassword: undefined | string

- Defined in packages/cli/src/argparse.ts:68

### Optional bitcoindUsername

bitcoindUsername: undefined | string

- Defined in packages/cli/src/argparse.ts:67

### blockstackAPIUrl

blockstackAPIUrl: string

- Defined in packages/cli/src/argparse.ts:62

### blockstackNodeUrl

blockstackNodeUrl: string

- Defined in packages/cli/src/argparse.ts:63

### broadcastServiceUrl

broadcastServiceUrl: string

- Defined in packages/cli/src/argparse.ts:64

### logConfig

logConfig: CLI_LOG_CONFIG_TYPE

- Defined in packages/cli/src/argparse.ts:66

### utxoServiceUrl

utxoServiceUrl: string

- Defined in packages/cli/src/argparse.ts:65

Generated using TypeDoc